Your API key. Create one in Ocoya. Authorization: Bearer <key> works too.
Get contact
One contact with their last 50 sends and what they did with each.
Get contact
curl --request GET \
--url https://www.app.ocoya.com/api/_public/v1/contacts/{contactId} \
--header 'X-API-Key: <api-key>'{
"id": "cmwdke27h0045y0k4fi0tm5pj",
"email": "jane@example.com",
"firstName": "Jane",
"lastName": "<string>",
"properties": {},
"status": "subscribed",
"source": "api",
"consentAt": "<string>",
"consentText": "<string>",
"unsubscribedAt": "<string>",
"lastSentAt": "<string>",
"lastOpenedAt": "<string>",
"lastClickedAt": "<string>",
"groups": [
{
"id": "<string>",
"name": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"sends": [
{
"id": "<string>",
"status": "<string>",
"outcome": "<string>",
"email": {
"id": "<string>",
"name": "<string>",
"subject": "<string>"
}
}
]
}Authorizations
Response
application/json
Success
Was this page helpful?